Bug 16709 - mount allows a volume to be mounted multiple times
mount allows a volume to be mounted multiple times
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: mount (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-21 21:33 EDT by Bob Plankers
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-22 12:22:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Plankers 2000-08-21 21:33:26 EDT
Hello,

Mount, as part of the mount-2.10m-3 package that was installed with RHL 
6.9.5, seems to allow a disk volume to be mounted in multiple places 
simultaneously, as well as in the same place multiple times.

Here is an example:

$ mount /dev/sda12 /mnt/1
$ mount /dev/sda12 /mnt/2
$ mount /dev/sda12 /mnt/2
$ df
/dev/sda1               101089     43531     52339  46% /
/dev/sda11             1517920        40   1440772   1% /home
/dev/sda7               101089        19     95851   1% /tmp
/dev/sda5               909136    337520    525432  40% /usr
/dev/sda6               248895    189912     46133  81% /usr/src
/dev/sda8               101089      8515     87355   9% /var
/dev/sda10              497829       107    472020   1% /var/log
/dev/sda9               101089        25     95845   1% /var/spool
/dev/md0             149998376    326752 148170260   1% /mirror
/dev/sda12              497829        13    472114   1% /mnt/1
/dev/sda12              497829        13    472114   1% /mnt/2
/dev/sda12              497829        13    472114   1% /mnt/2

I can subsequently umount everything by either doing two 'umount /mnt/2' 
and one 'umount /mnt/1' or two 'umount /dev/sda12' commands.

I have not tested a doubly-mounted partition like this for data corruption.

If you need more information, access to this machine, or if I'm smoking 
too much crack and missed the fact that this is normal behaviour now, let 
me know. Otherwise, thanks for everything.

...Bob
Comment 1 Bill Nottingham 2000-08-22 12:01:57 EDT
Do you happen to be running a 2.4 kernel?

If so, it's a feature. :)
Comment 2 Bob Plankers 2000-08-22 12:22:45 EDT
Good call. I upgraded to 2.4.0-test7-pre6 to gain support for my Promise 
Ultra100 card, and promptly forgot to mention it. So much for that good bug 
report. :-)

I still think that it's a bit odd to have the same volume mounted in the same 
spot twice. I can envision the mounts in multiple locations to be a desired 
thing, though.

I will let you guys make the call about setting this to NOTABUG and closing it, 
in case you want to pursue it. It's just something I noticed, so not a crucial 
thing here.

Thanks again.

...Bob

Note You need to log in before you can comment on or make changes to this bug.